Page 305 of 363 FirstFirst ... 205255295303304305306307315355 ... LastLast
Results 3,041 to 3,050 of 3630
  1. #3041
    Join Date
    Mar 2011
    Location
    Marco Island, FL
    Posts
    71
    Plugin Contributions
    0

    Default Re: EasyPopulate 4.0 Support Thread

    OK. I took a chance and successfully installed that on a test folder running on Zen-cart 1.5.6b. Working just fine HOWEVER I only needed this to get Google Base exports (just like in EP Advanced 3.0.3). Any hope that Google Base Export soon to be added to 4.0, too? Thanks.

  2. #3042
    Join Date
    Apr 2019
    Location
    Yokohama JAPAN
    Posts
    8
    Plugin Contributions
    0

    Default Re: EasyPopulate 4.0 Support Thread

    Help me please.
    I am an user of zen1.3.0.2. Now I want to make new install zen1.55
    After install zen1.55, installed Easy Populate 4.0.37.6 - 02-08-2017 from github.

    I put Japanese Language Pack into zen1.55 and entered two Categories, one is Top level Category and another is a sub-category of it. And I entered a product at the sub-category.
    I exported file by "Complete Products (with Metatags)" for testing EP4.
    It worked without any error.
    After that, I uploaded downloaded EP File without any chenge then occured an error.
    EP4 doesn't stop!
    I interrupted zen1.55 by ESC key and checked ep_debug_log.
    ep_debug_log as follow:
    ---------------------------------------------------------------------------------
    MySQLi error 1064: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ':products_model:' at line 30
    When executing:
    SELECT
    p.products_id as v_products_id,
    p.products_type as v_products_type,
    p.products_model as v_products_model,
    p.products_image as v_products_image,
    p.products_price as v_products_price,p.products_weight as v_products_weight,
    p.products_discount_type as v_products_discount_type,
    p.products_discount_type_from as v_products_discount_type_from,
    p.product_is_call as v_product_is_call,
    p.products_sort_order as v_products_sort_order,
    p.products_quantity_order_min as v_products_quantity_order_min,
    p.products_quantity_order_units as v_products_quantity_order_units,
    p.products_priced_by_attribute as v_products_priced_by_attribute,
    p.product_is_always_free_shipping as v_product_is_always_free_shipping,
    p.products_date_added as v_date_added,
    p.products_date_available as v_date_avail,
    p.products_tax_class_id as v_tax_class_id,
    p.products_quantity as v_products_quantity,
    p.products_status as v_products_status,
    p.manufacturers_id as v_manufacturers_id,
    p.metatags_products_name_status as v_metatags_products_name_status,
    p.metatags_title_status as v_metatags_title_status,
    p.metatags_model_status as v_metatags_model_status,
    p.metatags_price_status as v_metatags_price_status,
    p.metatags_title_tagline_status as v_metatags_title_tagline_status,
    subc.categories_id as v_categories_id
    FROM products as p, products_to_categories as ptoc,categories as subc WHERE
    p.products_id = ptoc.products_id AND
    ptoc.categories_id = subc.categories_id AND
    p.products_model = :products_model:
    MySQLi error 1064: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ':products_model:' at line 30
    When executing:
    SELECT
    p.products_id as v_products_id,
    p.products_type as v_products_type,
    p.products_model as v_products_model,
    p.products_image as v_products_image,
    --------------repeat MySQLi error 1064 as above------------------
    -------------------------------------------
    -------------------------------------------
    ---------------------------------------------------------------------------------
    It seems to be stuck in a infinite loop.
    Before I put Japanese Language Pack , I tested EP4 as below. EP4 worked without any error.
    -------------------------------------------
    I entered two Categories, one is Top level Category and another is a sub-category of it. And I entered a product.
    I exported file by "Complete Products (with Metatags)" for testing EP4.
    It worked without any error.
    I modified exported file by OpenOffice to add new product and import the file. It also worked without error and found new product at Store front.
    -------------------------------------------
    v_categories_name_1 is wrote in english and v_categories_name_2 is wrote in Japanese.

    I still not have done any other customization.
    Have I made anything wrong ?
    Win10 64bit, Xampp7.0.3, zencart:zen-cart-v1.5.5f-12312017b
    EasyPopulate-4.0-master.zip from https://github.com/chaddro/EasyPopulate-4.0

    How I can fix this?

    Thank you,
    Keisei.

  3. #3043
    Join Date
    Jul 2012
    Posts
    16,770
    Plugin Contributions
    17

    Default Re: EasyPopulate 4.0 Support Thread

    Regarding the Japanese language pack:

    Is that for the catalog side, the admin, or both?

    After installing the Japanese language pack was the default language changed/modified? Or perhaps better asked is what language settings were modified?

    Is the default English language still present? Is it considered language_id of 1? (should be able to see this information on the main screen of tools->Easy Populate v4).

    There is a slightly more up-to-date version at https://github.com/mc12345678/EasyPopulate-4.0) where there were some changes to some of the language processing; however, please answer the above questions to ensure successful support. There may still be something needing modification.

    The error message is indicating that at some point in trying to match the record with a database entry that a variable substitution is not being made for the "phrase" ':products_model:'.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  4. #3044
    Join Date
    Jul 2012
    Posts
    16,770
    Plugin Contributions
    17

    Default Re: EasyPopulate 4.0 Support Thread

    Quote Originally Posted by enginarat View Post
    OK. I took a chance and successfully installed that on a test folder running on Zen-cart 1.5.6b. Working just fine HOWEVER I only needed this to get Google Base exports (just like in EP Advanced 3.0.3). Any hope that Google Base Export soon to be added to 4.0, too? Thanks.
    Sorry that I missed this post.

    What is needed from the database to support that functionality? I thought that much of it was already present or avaulable once the desired data was exported. A sample of the field headings and an associated row would help identify this.

    Please enclose in code brackets. (before pasting, press the # button in the message box toolbar to create the code tags and then paste between them.)
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  5. #3045
    Join Date
    Apr 2019
    Location
    Yokohama JAPAN
    Posts
    8
    Plugin Contributions
    0

    Default Re: EasyPopulate 4.0 Support Thread

    Thank you for your quick reply.

    1.The Japanese language pack is for the both side.
    I didn't change the data base by SQL.
    I changed default language from the main screen.
    I intend to remove the Japanese language pack and test again.

    2.After installing the Japanese language pack, I changed the default language to Japanese.
    English language is still present and it's language_id is 1. I didn't touch about English.
    ----------the information on the main screen of tools->Easy Populate v4---------------
    Easy Populate 4.0.37.6 - 02-08-2017
    Installed Languages
    2-ja: Japanese
    1-en: English
    Default Language: 2-Japanese
    Internal Character Encoding: UTF-8
    DB Collation: utf8
    --------------------------------------------------------------------------------------

    3. I will try https://github.com/mc12345678/EasyPopulate-4.0 .

    4. I think this message is regarding 'roducts_model:', but I don't know how to solve it because of my limited ability.

    I will try what I can.
    Thank you.

  6. #3046
    Join Date
    Apr 2019
    Location
    Yokohama JAPAN
    Posts
    8
    Plugin Contributions
    0

    Default Re: EasyPopulate 4.0 Support Thread

    Quote Originally Posted by hanachi View Post
    4. I think this message is regarding ':products_model:', but I don't know how to solve it because of my limited ability.
    Sorry, ':products_model:' had become a face mark.

  7. #3047
    Join Date
    Jul 2012
    Posts
    16,770
    Plugin Contributions
    17

    Default Re: EasyPopulate 4.0 Support Thread

    Quote Originally Posted by hanachi View Post
    Sorry, ':products_model:'[LEFT][COLOR=#222222][/COLOR][/LEFT] had become a face mark.
    It had done the same thing to me as well. :)

    Ok, so I haven't reproduced the issue yet. I need to figure out how the installed version is/was 4.0.37.6, but from chaddro's distribution...

    I do see that at least from the GitHub location I posted, as long as the exported file has v_products_model as a field, then it should do the substitution that seems to be missing.

    Another question: in configuration->EasyPopulate V4, What is the setting for EP4_DB_FILTER_KEY? This is the setting that identifies whether to use products_model, products_id or new_blank as a setting.

    Does the issue still occur if the default language is returned to English, but the language pack is installed?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  8. #3048
    Join Date
    Apr 2019
    Location
    Yokohama JAPAN
    Posts
    8
    Plugin Contributions
    0

    Default Re: EasyPopulate 4.0 Support Thread

    1.About the version of EP4:
    I downloaded EP4 from https://github.com/mc12345678/EasyPopulate-4.0 and verified with former installed EP4 that occured the error.
    I found they are same 4.0.37.6 of EP4.
    I remember I got an error by using EP4 v4.0.35.ZC.2 and I found EP4 at https://github.com/mc12345678/EasyPopulate-4.0, so I
    tried EP4 4.0.37.6, because it is later than EP4 v4.0.35.ZC.2.

    2.About Another question:
    in configuration->EasyPopulate V4->Import/Export Primary Key .... value is products_model
    And I confirmed EP4_DB_FILTER_KEY is set products_model at the database "configuration".

    3.Does the issue still occur if the default language is returned to English, but the language pack is installed?
    Yes. I tried to set the default language to English without remove Japanese language Pack.
    There is same error occured.

    4.I delete Japanese from Localization -> Languages and tested , but the language pack is removed.
    There is no error occured!!
    About the Japanese language Pack, there are no SQL query included.
    The Japanese language Pack only include language folder, email folder, and template(only buttons images).

    5.I delete Japanese from Localization -> Languages and tested , but the language pack is installed.(I put the Japanese language Pack again)
    There is no error occured!!

    I think there is some conflict when add new language at Localization -> Languages

    Thank you.

  9. #3049
    Join Date
    Jul 2012
    Posts
    16,770
    Plugin Contributions
    17

    Default Re: EasyPopulate 4.0 Support Thread

    Sounds like some good investigation.

    To ensure that the issue appears "corrected", the new languages_id for Japanese though now is 3 correct?

    In the additional testing, was a new export file created after reinstalling the language pack? And do the fields of the japanese language have the current/new languages_id?

    Before, English was 1 and japanese was 2. Because japanese was removed and then readded, I would expect japanese to now be 3.

    If the problem continues with a new export/import, I will take a look at duplicating the issue even though I can't read Japanese. I took some lessons many years ago, but that was conversational not "business".
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  10. #3050
    Join Date
    Apr 2019
    Location
    Yokohama JAPAN
    Posts
    8
    Plugin Contributions
    0

    Default Re: EasyPopulate 4.0 Support Thread

    1.About the new languages_id for Japanese
    Yes, Absolutely 3.

    2.Latest testing
    After readded new language "Japanese" from Localization -> Languages, I made a new export and import.
    No error occured!!


    I still not have perform another testing, but seems to be able to avoid the error.
    I can't understand there is what kind of difference between languages_id 2 and 3.
    Any way I will continue test and report to you here.

    You already have advanced programming skills and sense of responsibility, just add a bit "love of Japanese", I think it's not difficult to use Japanese in business.

    Thank you

 

 

Similar Threads

  1. Hebrew Support - latest release [Support Thread]
    By eranariel in forum Addon Language Packs
    Replies: 19
    Last Post: 23 Jan 2023, 08:04 AM
  2. BackUp ZC [Support Thread]
    By skipwater in forum All Other Contributions/Addons
    Replies: 285
    Last Post: 23 Dec 2020, 10:40 AM
  3. Wordpress On ZC [Support Thread]
    By hira in forum All Other Contributions/Addons
    Replies: 1858
    Last Post: 17 Jan 2014, 01:24 AM
  4. ZJ Black 2 support thread
    By Liamv in forum Addon Templates
    Replies: 1
    Last Post: 15 Feb 2010, 02:53 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR